

- remove unneeded loglevel manipulation in journal_dirty_metadata()

- remove crud which was acidentally added to blkmtd.c

- use blkdev.h, not blk.h in devicemapper ioctl code.

- remove unused vars in mxser.c (Vinay K Nallamothu <vinay-rc@naturesoft.net>)

- PF_LESS_THROTTLE was using the wrong bit (Joe Korty <joe.korty@ccur.com>)


 25-akpm/drivers/char/mxser.c         |    1 -
 25-akpm/drivers/md/dm-ioctl-v4.c     |    2 +-
 25-akpm/drivers/mtd/devices/blkmtd.c |    2 +-
 25-akpm/fs/jbd/transaction.c         |    2 --
 25-akpm/include/linux/sched.h        |    2 +-
 5 files changed, 3 insertions(+), 6 deletions(-)

diff -puN fs/jbd/transaction.c~misc31 fs/jbd/transaction.c
--- 25/fs/jbd/transaction.c~misc31	Wed Jul 30 12:25:29 2003
+++ 25-akpm/fs/jbd/transaction.c	Wed Jul 30 12:25:29 2003
@@ -1088,7 +1088,6 @@ int journal_dirty_metadata(handle_t *han
 	transaction_t *transaction = handle->h_transaction;
 	journal_t *journal = transaction->t_journal;
 	struct journal_head *jh = bh2jh(bh);
-	int console_loglevel_saved = console_loglevel;
 
 	jbd_debug(5, "journal_head %p\n", jh);
 	JBUFFER_TRACE(jh, "entry");
@@ -1147,7 +1146,6 @@ out_unlock_bh:
 	jbd_unlock_bh_state(bh);
 out:
 	JBUFFER_TRACE(jh, "exit");
-	console_loglevel = console_loglevel_saved;
 	return 0;
 }
 
diff -puN drivers/mtd/devices/blkmtd.c~misc31 drivers/mtd/devices/blkmtd.c
--- 25/drivers/mtd/devices/blkmtd.c~misc31	Wed Jul 30 12:25:29 2003
+++ 25-akpm/drivers/mtd/devices/blkmtd.c	Wed Jul 30 16:02:52 2003
@@ -710,7 +710,7 @@ static int blkmtd_write(struct mtd_info 
   struct page **pages;
   int pagecnt = 0;
   char b[BDEVNAME_SIZE];
-21 e3 
+
   *retlen = 0;
   DEBUG(2, "blkmtd: write: dev = `%s' to = %ld len = %d buf = %p\n",
 	bdevname(rawdevice->binding, b), (long int)to, len, buf);
diff -puN drivers/md/dm-ioctl-v4.c~misc31 drivers/md/dm-ioctl-v4.c
--- 25/drivers/md/dm-ioctl-v4.c~misc31	Wed Jul 30 12:25:29 2003
+++ 25-akpm/drivers/md/dm-ioctl-v4.c	Wed Jul 30 16:02:38 2003
@@ -11,7 +11,7 @@
 #include <linux/miscdevice.h>
 #include <linux/init.h>
 #include <linux/wait.h>
-#include <linux/blk.h>
+#include <linux/blkdev.h>
 #include <linux/slab.h>
 #include <linux/devfs_fs_kernel.h>
 
diff -puN drivers/char/mxser.c~misc31 drivers/char/mxser.c
--- 25/drivers/char/mxser.c~misc31	Wed Jul 30 12:25:29 2003
+++ 25-akpm/drivers/char/mxser.c	Wed Jul 30 12:25:29 2003
@@ -498,7 +498,6 @@ static int __init mxser_module_init(void
 {
 	int i, m, retval, b;
 	int n, index;
-	int ret1, ret2;
 	struct mxser_hwconf hwconf;
 
 	mxvar_sdriver = alloc_tty_driver(MXSER_PORTS + 1);
diff -puN include/linux/sched.h~misc31 include/linux/sched.h
--- 25/include/linux/sched.h~misc31	Wed Jul 30 16:03:27 2003
+++ 25-akpm/include/linux/sched.h	Wed Jul 30 16:03:54 2003
@@ -486,7 +486,7 @@ do { if (atomic_dec_and_test(&(tsk)->usa
 #define PF_FSTRANS	0x00020000	/* inside a filesystem transaction */
 #define PF_KSWAPD	0x00040000	/* I am kswapd */
 #define PF_SWAPOFF	0x00080000	/* I am in swapoff */
-#define PF_LESS_THROTTLE 0x01000000	/* Throttle me less: I clena memory */
+#define PF_LESS_THROTTLE 0x00100000	/* Throttle me less: I clean memory */
 #define PF_SYNCWRITE	0x00200000	/* I am doing a sync write */
 #define PF_READAHEAD	0x00400000	/* I am doing read-ahead */
 

_
